This is the GNU/Linux and Mac OSX port of PopCap's Games Framework
It was ported by W.P. van Paassen in June 2007

========================
"Lieve Sabine, 
      
                3 keer kracht 
                         *
                3 keer hoop
                         =
                9 keer leven

                           Heel veel sterkte,
                                We zijn er voor je

                                          Je mannen"
========================

--HOW TO BUILD--

The library depends on CMake, SDL, SDL_mixer and Magick++

To build the library and the examples:

cd tuxcap-build
cmake ..
make

--INSTALL--

to install the shared library in /usr/local/lib

make install

-----------------

You can change the install directory by calling 
cmake -D CMAKE_INSTALL_PREFIX=/path/to/your/installdir ..

On first startup of a TuxCap application, the framework tries to 
detect if the user's system is capable of doing 3D acceleration 
and runs it in either hardware or software mode accordingly. 
You can overrule the detected setting as follows:

You can change the value of the Is3D attribute in the demo's 
~/.PopCap_SexyAppFramework_*/*.ini file or add the 
gSexyAppBase->SwitchScreenMode(bool, bool) call to the Init function 
of  GameApp.cpp. Some demo's like demo_5 and Hungarr come with 
an in-game dialog to enable/disable 3D acceleration.

The particle system is based on HGE's particle system and excepts 
.psi files created with HGE's editor which is part of the HGE 
distribution. It also accepts .psi files created with James Poag's 
extended particle editor.

I use wine to run the latest HGE (1.8) particle editor, it runs 
beautifully! 

The resource generator does also work with wine.

Hack on!

Cheers,
W.P.
